FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

####################################################################################
#Set source to stm git and respective URI
# Version2.0-r2.0
####################################################################################
SRC_URI = "git://github.com/STMicroelectronics/arm-trusted-firmware.git;protocol=https;name=tfa;branch=v2.0-stm32mp"
SRCREV = "69cc28c5a1b877cf67def7f94dece087f3917b1c"
SRCREV_bleeding = "${AUTOREV}"

SUBDIR_DIR = "git"
S = "${WORKDIR}/${SUBDIR_DIR}"

# add patches
SRC_URI_append += "\
    file://0001-bsec-added-write-lock-and-shadow-register-update-aft.patch \
    "

# add common devicetree configuration for boards
SRC_URI_append += "\
    file://stm32mp15-mx.h;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp157c-t1000-ddr-undef.h;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp157c-t1000-ddr3-1x4Gb-1066-binG.h;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-board-minimal.dtsi;subdir=${SUBDIR_DIR}/fdts \
    "

# add som t1000
SRC_URI_append += "\
    file://stm32mp-som-t1000.dtsi;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp157c-t1000-som-minimal-mx.dts;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-t1000.dts;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-t1000-clkout32k.dts;subdir=${SUBDIR_DIR}/fdts \
    "

# add som t1001
SRC_URI_append += "\
    file://stm32mp-som-t1001.dtsi;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp157c-t1001-som-minimal-mx.dts;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-t1001.dts;subdir=${SUBDIR_DIR}/fdts \
    "

# add board s
SRC_URI_append += "\
    file://stm32mp157c-t1000-s-mx.dts;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-t1000-s.dts;subdir=${SUBDIR_DIR}/fdts \
    file://stm32mp-board-s.dtsi;subdir=${SUBDIR_DIR}/fdts \
    "
