FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

DESCRIPTION = "installs autostart service for m4 firmware "

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.GPLv2;md5=751419260aa954499f7abaabaa882bbe"

SRC_URI = "\
	file://m4_fw-autoload.service \
	file://m4_fw-autoload.sh \
	file://m4_fw-autoload.conf \
	file://binary/m4_ktn-simple-monitor.elf \
	file://binary/m4_ktn-eval-usart6.elf 	\
	"

PROJECT_LIST = "m4_ktn-simple-monitor.elf \
				m4_ktn-eval-usart6.elf	\
				"
FILES_${PN} += "/usr/projects/"

S="${WORKDIR}"

SYSTEMD_SERVICE_${PN} = "m4_fw-autoload.service"

INITSCRIPT_NAME = "m4_fw-autoload.sh"
INITSCRIPT_PARAMS = "start 99 5 2 . stop 20 0 1 6 ."

inherit update-rc.d systemd

#FILES_${PN} = "${bindir}/*"

do_install () {
	#binary files
	install -d ${D}${prefix}${USERFS_ROOTPATH}/projects/
	for project in ${PROJECT_LIST} ; do
		install -m 0755 ${WORKDIR}/binary/${project} ${D}${prefix}${USERFS_ROOTPATH}/projects/
	done
	
	install -Dm 0644 ${WORKDIR}/m4_fw-autoload.conf ${D}${sysconfdir}/default/m4_fw-autoload.conf
	#systemd vs initscript 
	if ${@bb.utils.contains('DISTRO_FEATURES', 'systemd', 'true', 'false', d)};then
		install -Dm 0644 ${WORKDIR}/m4_fw-autoload.service ${D}${systemd_system_unitdir}/m4_fw-autoload.service
    	install -Dm 0755 ${WORKDIR}/m4_fw-autoload.sh ${D}${bindir}/m4_fw-autoload.sh
    	
	else
		install -d ${D}${sysconfdir}/init.d/
		install -c -m 755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/${INITSCRIPT_NAME}
		
	fi
}


