FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

####################################################################################
# Set source to stm git and respective URI
# Version r2.0
####################################################################################

SRCREV = "9cc80ff80f5ea5f1ff35122f61afaa7b11ad22ae"
SRCREV_bleeding = "${AUTOREV}"
SRC_URI="git://github.com/STMicroelectronics/linux.git;protocol=https;branch=v${LINUX_VERSION}-stm32mp;name=linux"

SUBDIR_DIR = "git"
S = "${WORKDIR}/${SUBDIR_DIR}"

####################################################################################
# patches and device trees
####################################################################################

# Fixes
PATCHLIST = "\
	file://patches/0100-STMFIX-regulator-stm32-vrefbuf-fix-a-possible-overshoot-whe.patch \
	file://patches/0101-fix-missing-eth-phy-clocks.patch \
	file://patches/0102-spi-nand-fix-QSPI-NAND-bad-block-marking-issue.patch \
	"
# Features
PATCHLIST += "\
	file://patches/0500-linux-stm32mp-disable-spidev-warning-message.patch \
	file://patches/0501-add-SPI-NOR-mx25r1635f.patch \
	file://patches/0502-mtd-spi-nor-Add-support-for-Macronix-MX25V8035F.patch \
	file://patches/0503-drm-panel-simple-Add-support-for-Admatec-T043C004800.patch \
	file://patches/0504-drm-panel-simple-Add-support-for-Admatec-T070P133T0S.patch \
	file://patches/0505-mtd-nand-spi-Add-initial-support-for-Toshiba-TC58CVG.patch \
	file://patches/0506-sn65dsi83-Add-ti-sn85dsi83-dsi-to-lvds-bridge-driver.patch \
	file://patches/0507-wm8510-switch-to-mclk-on-hw-init.patch \
	file://patches/0508-add-spi-clock-debug-print.patch \
	file://patches/0509-pinctl-disable-strict-checking.patch \
	file://patches/0510-adv7511-mainline-5.4.x-code-integrated.patch \
	file://patches/0511-dt-bindings-drm-bridge-adv7511-Add-ADV7535-support.patch \
	file://patches/0512-drm-bridge-adv7511-Add-support-for-ADV7535.patch \
	file://patches/0513-adapt-kernel-interfaces.patch \
	file://patches/0001-stm-drm-driver-fetch-newest-source-code-from-st-repo.patch \
	file://patches/0002-synopsys-dsi-driver-fetch-newest-source-code-from-st.patch \
	file://patches/0003-drm-bridge-synopsys-dsi-fix-activation-sequence.patch \
	file://patches/0004-drm-bridge-synopsys-dsi-cleanup-when-probe-fails.patch \
	file://patches/0005-drm-bridge-synposys-dsi-fix-oops-in-drm-post_disable.patch \
	file://patches/0006-drm_modes-suppress-error-for-hsync-vsync-flag.patch \
	file://patches/0001-drm-stm-dsi-higher-pll-out-only-in-video-burst-mode.patch \
	file://patches/0001-Add-mcp25xxfd-SPI-CANFD-driver.patch \
	"

# Fixes
PATCHLIST_bleeding = "\
	file://patches/0101-fix-missing-eth-phy-clocks.patch \
	file://patches/0102-spi-nand-fix-QSPI-NAND-bad-block-marking-issue.patch \
	"
PATCHLIST_bleeding += "\
	file://patches/0500-linux-stm32mp-disable-spidev-warning-message.patch \
	file://patches/0501-add-SPI-NOR-mx25r1635f.patch \
	file://patches/0502-mtd-spi-nor-Add-support-for-Macronix-MX25V8035F.patch \
	file://patches/0503-drm-panel-simple-Add-support-for-Admatec-T043C004800.patch \
	file://patches/0504-drm-panel-simple-Add-support-for-Admatec-T070P133T0S.patch \
	file://patches/0505-mtd-nand-spi-Add-initial-support-for-Toshiba-TC58CVG.patch \
	file://patches/0506-sn65dsi83-Add-ti-sn85dsi83-dsi-to-lvds-bridge-driver.patch \
	file://patches/0507-wm8510-switch-to-mclk-on-hw-init.patch \
	file://patches/0508-add-spi-clock-debug-print.patch \
	file://patches/0509-pinctl-disable-strict-checking.patch \
	file://patches/0510-adv7511-mainline-5.4.x-code-integrated.patch \
	file://patches/0511-dt-bindings-drm-bridge-adv7511-Add-ADV7535-support.patch \
	file://patches/0512-drm-bridge-adv7511-Add-support-for-ADV7535.patch \
	file://patches/0513-adapt-kernel-interfaces.patch \
	"

# common patches
SRC_URI_append += "${PATCHLIST}"

# add board s-*
SRC_URI_append += " \
    file://stm32mp-t1000-s.dts \
    file://stm32mp157c-t1000-s-mx.dts \
    file://stm32mp-board-s.dtsi \
    file://stm32mp-housing-43.dtsi \
    file://stm32mp-t1000-s-43.dts \
    file://stm32mp-housing-50.dtsi \
    file://stm32mp-t1000-s-50.dts \
    file://stm32mp-housing-24.dtsi \
    file://stm32mp-t1000-s-24.dts \
    file://stm32mp-t1000-s-clkout32k.dts \
    "

# add board k-*
SRC_URI_append += " \
    file://stm32mp-t1000-k.dts \
    file://stm32mp157c-t1000-k-mx.dts \
    file://stm32mp-board-k.dtsi \
    file://stm32mp-housing-k-50.dtsi \
    file://stm32mp-t1000-k-50.dts \
    file://stm32mp-housing-k-70.dtsi \
    file://stm32mp-t1000-k-70.dts \
    file://stm32mp-housing-k-101.dtsi \
    file://stm32mp-t1000-k-101.dts \
    file://stm32mp-t1004-k.dts \
    file://stm32mp-t1004-k-50.dts \
    file://stm32mp-t1005-k.dts \
    file://stm32mp-t1005-k-50.dts \
    "

# add board testadapter
SRC_URI_append += " \
    file://stm32mp-t1000-testadapter.dts \
    "

# add som virtual mini baseboard
SRC_URI_append += " \
    file://stm32mp-board-minimal.dtsi \
    "

# add som t1000/t1004/t1005
SRC_URI_append += " \
    file://stm32mp157c-t1000-som-minimal-mx.dts \
    file://stm32mp-som-t1000.dtsi \
    file://stm32mp-t1000.dts \
    file://stm32mp-som-t1004.dtsi \
    file://stm32mp-t1004.dts \
    file://stm32mp-som-t1005.dtsi \
    file://stm32mp-t1005.dts \
    "

# add som t1001
SRC_URI_append += " \
    file://stm32mp157c-t1001-som-minimal-mx.dts \
    file://stm32mp-som-t1001.dtsi \
    file://stm32mp-t1001.dts \
    "


####################################################################################
# fragments from ST layer which wont copy because SRC_URI is overwritten
####################################################################################

SRC_URI += "file://4.19/fragment-03-systemd.config;subdir=fragments"
SRC_URI += "file://4.19/fragment-04-optee.config;subdir=fragments"
SRC_URI += "file://4.19/fragment-05-modules.config;subdir=fragments"


####################################################################################
# our fragments
####################################################################################


# add kernel config fragments
SRC_URI_append += " \
    file://4.19/fragment-01-config-gz.config;subdir=fragments \
    file://4.19/fragment-02-pca953x.config;subdir=fragments \
    file://4.19/fragment-03-vcnl4000.config;subdir=fragments \
    file://4.19/fragment-04-spinand.config;subdir=fragments \
    file://4.19/fragment-05-cpufreq.config;subdir=fragments \
    file://4.19/fragment-06-fbdev-emulation.config;subdir=fragments \
    file://4.19/fragment-07-wlan-marvell.config;subdir=fragments \
    file://4.19/fragment-08-pwm-beeper.config;subdir=fragments \
    file://4.19/fragment-09-early_printk.config;subdir=fragments \
	file://4.19/fragment-10-gpio-sysfs.config;subdir=fragments \
	file://4.19/fragment-11-wm8510-driver.config;subdir=fragments \
	file://4.19/fragment-100-fbtft-st7789.config;subdir=fragments \
	file://4.19/fragment-101-wlan-ralink53xx.config;subdir=fragments \
	file://4.19/fragment-102-lvds-bridge-sn65dsi.config;subdir=fragments \
	file://4.19/fragment-103-hdmi-bridge-adv.config;subdir=fragments \
	file://4.19/fragment-104-touch-sis.config;subdir=fragments \
 	"
	

# activate kernel config fragments
KERNEL_CONFIG_FRAGMENTS_append += " \
    ${WORKDIR}/fragments/4.19/fragment-01-config-gz.config \
    ${WORKDIR}/fragments/4.19/fragment-02-pca953x.config \
    ${WORKDIR}/fragments/4.19/fragment-03-vcnl4000.config \
    ${WORKDIR}/fragments/4.19/fragment-04-spinand.config \
    ${WORKDIR}/fragments/4.19/fragment-05-cpufreq.config \
    ${WORKDIR}/fragments/4.19/fragment-06-fbdev-emulation.config \
    ${WORKDIR}/fragments/4.19/fragment-07-wlan-marvell.config \
    ${WORKDIR}/fragments/4.19/fragment-08-pwm-beeper.config \
	${WORKDIR}/fragments/4.19/fragment-09-early_printk.config \
	${WORKDIR}/fragments/4.19/fragment-10-gpio-sysfs.config \
	${WORKDIR}/fragments/4.19/fragment-11-wm8510-driver.config \
	${WORKDIR}/fragments/4.19/fragment-100-fbtft-st7789.config \
	${WORKDIR}/fragments/4.19/fragment-101-wlan-ralink53xx.config \
	${WORKDIR}/fragments/4.19/fragment-102-lvds-bridge-sn65dsi.config \
	${WORKDIR}/fragments/4.19/fragment-103-hdmi-bridge-adv.config \
	${WORKDIR}/fragments/4.19/fragment-104-touch-sis.config \
    "
	

do_configure_prepend() {
    echo "Sourcecode location is: ${S}"
    for dtsfile in $(find ${WORKDIR} -maxdepth 1 -name "*.dts" -o -name "*.dtsi"); do
        mkdir -p ${S}/arch/arm/boot/dts
        echo "Copy file $dtsfile to dts directory"
        cp ${dtsfile} ${S}/arch/arm/boot/dts/$(basename ${dtsfile})
    done
}

do_buildenv[nostamp]="1"
do_buildenv() {
	{
		echo "export MF=\"-j6 ARCH=arm O=${B} CROSS_COMPILE=${CROSS_COMPILE} LOADADDR=${ST_KERNEL_LOADADDR}\""
		echo "export S=${S}"
		echo "export O=${B}"
		echo "export D=${D}"
		echo "alias makey=\"make \${MF}\""
		echo "echo Output directory O=${B}"
		echo "echo Kernel source directory KDIR=${S}"
		echo "echo Makeflags MF=\${MF}"
		echo "echo CROSS_COMPILE=${CROSS_COMPILE}"
		
	} > ${S}/recipe.env
}

addtask buildenv after do_configure before do_devshell

